# TdApi.JsonValue (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: JsonValue

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.JsonValue

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.JsonValue

Direct Known Subclasses:
  `TdApi.JsonValueArray`, `TdApi.JsonValueBoolean`, `TdApi.JsonValueNull`, `TdApi.JsonValueNumber`, `TdApi.JsonValueObject`, `TdApi.JsonValueString`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.JsonValue extends TdApi.Object permits TdApi.JsonValueNull, TdApi.JsonValueBoolean, TdApi.JsonValueNumber, TdApi.JsonValueString, TdApi.JsonValueArray, TdApi.JsonValueObject
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`JsonValue()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JsonValue

public JsonValue()